# Q. What is this file?
# A. This file contains options which allow you to configure your multiworld experience while allowing
#    others to play how they want as well.
#
# Q. How do I use it?
# A. The options in this file are weighted. This means the higher number you assign to a value, the
#    more chances you have for that option to be chosen. For example, an option like this:
#
#    map_shuffle:
#      on: 5
#      off: 15
#
#    Means you have 5 chances for map shuffle to occur, and 15 chances for map shuffle to be turned
#    off.
#
# Q. I've never seen a file like this before. What characters am I allowed to use?
# A. This is a .yaml file. You are allowed to use most characters.
#    To test if your yaml is valid or not, you can use this website:
#        http://www.yamllint.com/
#    You can also verify that your Archipelago options are valid at this site:
#        https://archipelago.gg/check

# Your name in-game, limited to 16 characters.
#     {player} will be replaced with the player's slot number.
#     {PLAYER} will be replaced with the player's slot number, if that slot number is greater than 1.
#     {number} will be replaced with the counter value of the name.
#     {NUMBER} will be replaced with the counter value of the name, if the counter value is greater than 1.
name: Player{number}

# Used to describe your yaml. Useful if you have multiple files.
description: Default Gauntlet Legends Template

game: Gauntlet Legends
requires:
  version: 0.6.6 # Version of Archipelago required for this yaml to work as expected.

Gauntlet Legends:
  ################
  # Game Options #
  ################
  progression_balancing:
    # A system that can move progression earlier, to try and prevent the player from getting stuck and bored early.
    # 
    # A lower setting means more getting stuck. A higher setting means less getting stuck.
    #
    # You can define additional values between the minimum and maximum values.
    # Minimum value is 0
    # Maximum value is 99
    random: 0
    random-low: 0 # random value weighted towards lower values
    random-high: 0 # random value weighted towards higher values
    random-range-0-99: 0 # random value between 0 and 99
    disabled: 0 # equivalent to 0
    normal: 50 # equivalent to 50
    extreme: 0 # equivalent to 99

  accessibility:
    # Set rules for reachability of your items/locations.
    # 
    # **Full:** ensure everything can be reached and acquired.
    # 
    # **Minimal:** ensure what is needed to reach your goal can be acquired.
    full: 50
    minimal: 0

  death_link:
    # When you die, everyone who enabled death link dies. Of course, the reverse is true too.
    'false': 50
    'true': 0

  local_players:
    # Select how many players will be playing this world locally.
    # If 3 players will be active then change this to 3, etc.
    #
    # You can define additional values between the minimum and maximum values.
    # Minimum value is 1
    # Maximum value is 4
    1: 50
    random: 0
    random-low: 0 # random value weighted towards lower values
    random-high: 0 # random value weighted towards higher values
    random-range-1-4: 0 # random value between 1 and 4

  chests_barrels:
    # Choose how you want Chests and Barrels to be randomized.
    # None: Neither Chests nor Barrels will be added as locations.
    # All Chests: Chests will be added as locations, Barrels will not.
    # All Barrels: Barrels will be added as locations, Chests will not.
    # All Both: Both Chests and Barrels will be added as locations.
    none: 0
    all_chests: 0
    all_barrels: 0
    all_both: 50

  obelisks:
    # Choose how you want Obelisks to be randomized.
    # None: Obelisks will be placed in their own locations.
    # All Obelisks: Obelisks will be shuffled into the item pool.
    none: 0
    all_obelisks: 50

  mirror_shards:
    # Choose how you want Mirror Shards to be randomized.
    # None: Mirror Shards will be placed in their own locations.
    # All Shards: Mirror Shards will be shuffled into the item pool.
    none: 0
    all_shards: 50

  max_difficulty_toggle:
    # Set all stages to have a maximum difficulty.
    # All locations with a difficulty higher than what is set will be excluded from the pool of locations.
    # Default max difficulty is 4.
    'false': 50
    'true': 0

  max_difficulty_value:
    # Select the difficulty value you want to be the maximum.
    # This does nothing if Change Max Difficulty is set to false.
    # This value has a minimum based on how many local players you have.
    # If you have 3 local players, this will be adjusted to be at least 3.
    #
    # You can define additional values between the minimum and maximum values.
    # Minimum value is 1
    # Maximum value is 4
    4: 50
    random: 0
    random-low: 0 # random value weighted towards lower values
    random-high: 0 # random value weighted towards higher values
    random-range-1-4: 0 # random value between 1 and 4

  instant_max:
    # All stages will load with their max difficulty on the first run through.
    # By default, stages increase in difficulty by 1 every 5 player levels.
    # The starting level for each area increases gradually as you would progress in vanilla.
    'false': 50
    'true': 0

  infinite_keys:
    # You will be given an absurd amount of keys.
    'false': 50
    'true': 0

  permanent_speed:
    # You will be given speed boots with a permanent duration.
    'false': 50
    'true': 0

  traps_choice:
    # Choose what traps will be put in the item pool.
    # All Active: Both Death and Poison Fruit will be added to the item pool.
    # Only Death: Death will be added to the item pool.
    # Only Fruit: Poison Fruit will be added to the item pool.
    # None Active: No Traps will be added to the item pool.
    all_active: 50
    only_death: 0
    only_fruit: 0
    none_active: 0

  traps_frequency:
    # Choose the frequency of traps added into the item pool
    # Normal: 75 of each selected trap are added into the item pool.
    # Large: 150 of each selected trap are added into the item pool.
    # Extreme: 375 of each selected trap are added into the item pool.
    #
    # You can define additional values between the minimum and maximum values.
    # Minimum value is 1
    # Maximum value is 90
    10: 50
    random: 0
    random-low: 0 # random value weighted towards lower values
    random-high: 0 # random value weighted towards higher values
    random-range-1-90: 0 # random value between 1 and 90

  unlock_character_one:
    # Unlock a secret character for Player 1 from the start.
    # None: No secret characters will be unlocked.
    # Chosen Character: The selected character will be available from a new save.
    none: 50
    minotaur: 0
    falconess: 0
    tigress: 0
    jackal: 0
    sumner: 0

  unlock_character_two:
    # Unlock a secret character for Player 2 from the start.
    # None: No secret characters will be unlocked.
    # Chosen Character: The selected character will be available from a new save.
    none: 50
    minotaur: 0
    falconess: 0
    tigress: 0
    jackal: 0
    sumner: 0

  unlock_character_three:
    # Unlock a secret character for Player 3 from the start.
    # None: No secret characters will be unlocked.
    # Chosen Character: The selected character will be available from a new save.
    none: 50
    minotaur: 0
    falconess: 0
    tigress: 0
    jackal: 0
    sumner: 0

  unlock_character_four:
    # Unlock a secret character for Player 4 from the start.
    # None: No secret characters will be unlocked.
    # Chosen Character: The selected character will be available from a new save.
    none: 50
    minotaur: 0
    falconess: 0
    tigress: 0
    jackal: 0
    sumner: 0

  ###########################
  # Item & Location Options #
  ###########################
  local_items:
    # Forces these items to be in their native world.
    []

  non_local_items:
    # Forces these items to be outside their native world.
    []

  start_inventory:
    # Start with the specified amount of these items. Example: "Bomb: 1"
    {}

  start_inventory_from_pool:
    # Start with the specified amount of these items and don't place them in the world. Example: "Bomb: 1"
    # 
    # The game decides what the replacement items will be.
    {}

  start_hints:
    # Start with these item's locations prefilled into the ``!hint`` command.
    []

  start_location_hints:
    # Start with these locations and their item prefilled into the ``!hint`` command.
    []

  exclude_locations:
    # Prevent these locations from having an important item.
    []

  priority_locations:
    # Prevent these locations from having an unimportant item.
    []

  item_links:
    # Share part of your item pool with other players.
    []

  plando_items:
    # Generic items plando.
    []
